For Developers
Download Submission File
This endpoint is only supported by integrations using Canvas or Schoology data sources.
GET https://ed.link/api/v2/my/classes/:class_id/assignments/:assignment_id/submissions/:submission_id/files/:file_id/download
Download a File associated with a Submission. Although other types of items may be attached to submission attempts, only files can be downloaded.
Request Parameters
| Parameter | Type | Description |
|---|---|---|
class_id | string | The UUID of the desired Class. |
assignment_id | string | The UUID of the desired Assignment. |
submission_id | string | The UUID of the desired Submission. |
file_id | string | The UUID of the desired File. |
Response Body
This returns the file in a standard HTTP file download response.
The response will contain the Content-Disposition header with attachment; filename="the_filename.txt" to indicate that we are returning the full file.
The body will be the raw bytes that make up whatever the file content is.
Sample Request
axios.get(`https://ed.link/api/v2/my/classes/${class_id}/assignments/${assignment_id}/submissions/${submission_id}/files/${file_id}/download`, {
headers: {
authorization: `Bearer ${integration_access_token}`
}
});
Provider-Specific Details
Microsoft and Google require drive access permissions that carry an elevated security level beyond what Edlink can accept.
In order for our customers to use this endpoint on those providers, our customers have to create a custom "client" within the provider itself.
With this "client" the necessary drive permissions can be requested, if our customer considers that level of security risk worthwhile.
We have prepared a guide on how to do this for Google and for Microsoft.
Supported Providers
- blackboard
- brightspace
- canvas
- microsoft
- schoology
- schoolbox
